Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## eia.modelo
Class ValoracionCuantitativa

    java.lang.Object
      eia.modelo.ValoracionCuantitativa

All Implemented Interfaces:
  java.lang.Cloneable

    public class ValoracionCuantitativa

extends java.lang.Object
implements java.lang.Cloneable

Clase que implementa la información para el análisis/valoración cuantitativa de un efecto/impacto ambiental.

Constructor Summary
`ValoracionCuantitativa(double indicador, double mayorValorIndicador, double menorValorIndicador)` Constructor por parámetros.

Method Summary
`double` | `calcularFuncion(int numFuncion, double x, double max, double min, double opc)` Función para el cálculo aplicado de la función indicada por parámetro.
`void` | `calcularValoracion(int numFuncion, double opc)` Función para calcular el valor de impacto del efecto según análisis cuantitativo, estableciendo dicho valor en el atributo 'magnitudImpacto'.
`java.lang.Object` | `clone()` Función para clonar el objeto ValoracionCuantitativa.
`double` | `getIndicador()` Accesor para el atributo 'indicador'.
`double` | `getMagnitudImpacto()` Accesor para el atributo 'magnitudImpacto'.
`double` | `getMayorValorIndicador()` Accesor para el atributo 'mayorValorIndicador'.
`double` | `getMenorValorIndicador()` Accesor para el atributo 'menorValorIndicador'.
`int` | `getNumFuncion()` Accesor para el atributo 'numFuncion'.
`java.lang.String` | `nombreFuncionTransformacion(int numFuncion)` Función para obtener el nombre la función de transformación a partir del número de referencia de la misma.
`int` | `numFuncionTransformacion(java.lang.String nombreFuncion)` Función para obtener el número de referencia de la función de transformación a partir del nombre de la misma.
`void` | `setIndicador(double indicador)` Mutador para el atributo 'indicador'.
`void` | `setMagnitudImpacto(double magnitudImpacto)` Mutador para el atributo 'magnitudImpacto'.
`void` | `setMayorValorIndicador(double mayorValorIndicador)` Mutador para el atributo 'mayorValorIndicador'.
`void` | `setMenorValorIndicador(double menorValorIndicador)` Mutador para el atributo 'menorValorIndicador'.
`void` | `setNumFuncion(int numFuncion)` Mutador para el atributo 'numFuncion'.

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### ValoracionCuantitativa

    public ValoracionCuantitativa(double indicador,
                                  double mayorValorIndicador,
                                  double menorValorIndicador)

  Constructor por parámetros.

  Parameters:
    `indicador` - Magnitud del efecto/impacto en unidades heterogéneas.
    `mayorValorIndicador` - Mayor valor que podrá tomar el indicador del efecto/impacto.
    `menorValorIndicador` - Menor valor que podrá tomar el indicador del efecto/impacto.

Method Detail

### getIndicador

    public double getIndicador()

  Accesor para el atributo 'indicador'.

  Returns:
    Magnitud del efecto/impacto en unidades heterogéneas.

### setIndicador

    public void setIndicador(double indicador)

  Mutador para el atributo 'indicador'.

  Parameters:
    `indicador` - Magnitud del efecto/impacto a asociar en unidades heterogéneas.

### getMayorValorIndicador

    public double getMayorValorIndicador()

  Accesor para el atributo 'mayorValorIndicador'.

  Returns:
    Mayor valor que podrá tomar el indicador del efecto/impacto.

### setMayorValorIndicador

    public void setMayorValorIndicador(double mayorValorIndicador)

  Mutador para el atributo 'mayorValorIndicador'.

  Parameters:
    `mayorValorIndicador` - Mayor valor que podrá tomar el indicador del efecto/impacto.

### getMenorValorIndicador

    public double getMenorValorIndicador()

  Accesor para el atributo 'menorValorIndicador'.

  Returns:
    Menor valor que podrá tomar el indicador del efecto/impacto.

### setMenorValorIndicador

    public void setMenorValorIndicador(double menorValorIndicador)

  Mutador para el atributo 'menorValorIndicador'.

  Parameters:
    `menorValorIndicador` - Menor valor que podrá tomar el indicador del efecto/impacto.

### getMagnitudImpacto

    public double getMagnitudImpacto()

  Accesor para el atributo 'magnitudImpacto'.

  Returns:
    Valor del efecto/impacto por valoración cuantitativa.

### setMagnitudImpacto

    public void setMagnitudImpacto(double magnitudImpacto)

  Mutador para el atributo 'magnitudImpacto'.

  Parameters:
    `magnitudImpacto` - Valor del efecto/impacto a asociar por valoración cuantitativa.

### getNumFuncion

    public int getNumFuncion()

  Accesor para el atributo 'numFuncion'.

  Returns:
    Número de la función de transformación aplicada.

### setNumFuncion

    public void setNumFuncion(int numFuncion)

  Mutador para el atributo 'numFuncion'.

  Parameters:
    `numFuncion` - Número de la función de transformación a asociar.

### calcularValoracion

    public void calcularValoracion(int numFuncion,
                                   double opc)

  Función para calcular el valor de impacto del efecto según análisis cuantitativo, estableciendo dicho valor en el atributo 'magnitudImpacto'.

  Parameters:
    `numFuncion` - Número de función de transformación a aplicar.
    `opc` - Parámetro opcional ('a', 'umbral') para las funciones que lo demanden.

### calcularFuncion

    public double calcularFuncion(int numFuncion,
                                  double x,
                                  double max,
                                  double min,
                                  double opc)

  Función para el cálculo aplicado de la función indicada por parámetro.

  Parameters:
    `numFuncion` - Número de función a aplicar.
    `x` - Valor de 'x' para el cálculo de la función.
    `max` - Valor de 'max' para el cálculo de la función.
    `min` - Valor de 'min' para el cálculo de la función.
    `opc` - arámetro opcional ('a', 'umbral') para las funciones que lo demanden.
  Returns:
    Resultado 'y' al aplicar la función.

### clone

    public java.lang.Object clone()

  Función para clonar el objeto ValoracionCuantitativa.

  Overrides:
    `clone` in class `java.lang.Object`
  Returns:
    Copia del objeto ValoracionCuantitativa.

### numFuncionTransformacion

    public int numFuncionTransformacion(java.lang.String nombreFuncion)

  Función para obtener el número de referencia de la función de transformación a partir del nombre de la misma.

  Parameters:
    `nombreFuncion` - Nombre de la función de transformación.
  Returns:
    Número de referencia de la función de transformación.

### nombreFuncionTransformacion

    public java.lang.String nombreFuncionTransformacion(int numFuncion)

  Función para obtener el nombre la función de transformación a partir del número de referencia de la misma.

  Parameters:
    `numFuncion` - Número de referencia de la función de transformación.
  Returns:
    Nombre de la función de transformación.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD